#ifndef _KGR_PATCH_BSC1103098_NF_DEFRAG_IPV6_H
#define _KGR_PATCH_BSC1103098_NF_DEFRAG_IPV6_H

#include <linux/types.h>

int kgr_patch_bsc1103098_nf_defrag_ipv6_init(void);
void kgr_patch_bsc1103098_nf_defrag_ipv6_cleanup(void);

struct sk_buff *kgr_nf_ct_frag6_gather(struct net *net, struct sk_buff *skb,
				       u32 user);

#define KGR_PATCH_BSC1103098_NF_DEFRAG_IPV6_FUNCS			\
	KGR_PATCH_OBJ(nf_ct_frag6_gather, kgr_nf_ct_frag6_gather,	\
		      "nf_defrag_ipv6"),				\

#endif /* _KGR_PATCH_BSC1103098_NF_DEFRAG_IPV6_H */
